/*csslint box-model:false*/
/*TODO: Remove this lint rule override after a refactor of this code.*/

.pure-paginator {
  /* `pure-g` Grid styles */
  letter-spacing: -0.31em;
  /* Webkit: collapse white-space between units */
  *letter-spacing: normal;
  /* reset IE < 8 */
  *word-spacing: -0.43em;
  /* IE < 8: collapse white-space between units */
  text-rendering: optimizespeed;
  /* Webkit: fixes text-rendering: optimizeLegibility */
  /* `pure-paginator` Specific styles */
  list-style: none;
  margin: 0;
  padding: 0;
}

.opera-only :-o-prefocus {
  word-spacing: -0.43em;
}

.pure-paginator {
  word-spacing: -0.43em;
  li {
    display: inline-block;
    *display: inline;
    /* IE < 8: fake inline-block */
    zoom: 1;
    letter-spacing: normal;
    word-spacing: normal;
    vertical-align: top;
    text-rendering: auto;
  }
  .pure-button {
    border-radius: 0;
    padding: 0.8em 1.4em;
    vertical-align: top;
    height: 1.1em;
    &:focus, &:active {
      outline-style: none;
    }
  }
  .prev, .next {
    color: #C0C1C3;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.45);
  }
  .prev {
    border-radius: $global-border-radius 0 0 $global-border-radius;
  }
  .next {
    border-radius: 0 $global-border-radius $global-border-radius 0;
  }
}

/* `pure-u` Grid styles */